--
--
--
-- Manual profiles
--  by Fulgerul
--
--  This is a trigger module for Profiles: * that reverts addon_object
--	to the old way of saving and loading profiles, through manual /commands
--	
-- Enabling this trigger will cause all other triggers to disable
-- Disabling the trigger does NOT actually disable as we want CMD line iface

----------- [ Config ] --------

-- Main addon object containing AceEvent
local addon_obj = MPS

-- Where do we find save and load ?
--local save_func_ref = "PreSaveMacroProfile"
--local load_func_ref = "PreLoadMacroProfile"
--local del_profile_ref = "DeleteProfil"
-------------------------------

local addon_obj_mod = addon_obj:NewModule("Manual Profiles", "AceConsole-3.0", "AceEvent-3.0")


-- Module loaded
-- Disable all other triggers
function addon_obj_mod:OnEnable() 
	SLASH_MP1 = "/mp"
	SlashCmdList["MP"] = 
	function(msg)
	   local cmd, arg = string.split(" ", msg, 2)
	   cmd = string.lower(cmd or "")
	   arg = arg or ""
	   
		if (cmd == "version") then
			addon_obj:Echo("Profiles: Macros v."..MPS_Version)
		elseif (cmd=="list")then
			addon_obj:ListProfiles()
		elseif (cmd=="" or arg=="")then
			addon_obj:Echo("/mp delete <name>")
			addon_obj:Echo("/mp save <name>")
			addon_obj:Echo("/mp load <name>")
			addon_obj:Echo("/mp list")
			addon_obj:Echo("/mp version * Not implemented yet")
			addon_obj:Echo("/mp debug [on|off] * Not implemented yet")
		elseif (cmd=="save" and arg~="")then
			addon_obj:PreSaveMacroProfile(arg)
		elseif (cmd=="load" and arg~="")then
			addon_obj:PreLoadMacroProfile(arg)
		elseif (cmd=="delete" and arg~="")then
			addon_obj:DeleteProfil(arg)
		else    
			addon_obj:Echo("wrong entry")
	   end
	end
end